View Issue Details

IDProjectCategoryView StatusLast Update
0032837CommunityOCCT:Documentationpublic2022-10-19 15:55
ReporterManycore Assigned Tovpozdyayev  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformWindowsOSVC++ 2015 
Product Version7.7.0 
Target Version7.7.0 
Summary0032837: Documentation, Geom_Surface - add references to GeomLib::NormEstim() for Normal computations
Descriptionsurface add get unit normal api
Steps To ReproduceHandle(Geom_Surface) sphere = new Geom_SphericalSurface(ccs, 10000.0);

gp_Dir normal = sphere->Normal(0, M_PI / 2);

// except normal is equal to [0,0,1]

       
TagsNo tags attached.
Test case numberN/A

Activities

git

2022-02-16 12:52

administrator   ~0106920

Branch CR32837 has been created by Manycore.

SHA-1: c4ddbd15a00d9f95d4a82b2f4b3075cd6f5d3ec8


Detailed log of new commits:

Author: gelin
Date: Wed Feb 16 17:22:26 2022 +0800

    0032837: Modeling Data - Geom_Surface add Normal API

kgv

2022-02-16 13:25

developer   ~0106924

Last edited: 2022-02-16 13:26

@Manycore, in OCCT indentation should be specified with space symbols (2 spaces), not by tabulation. The latter might appear in some legacy code, but is discouraged in new.

> Geom_Surface::Normal()
Normal computation is defined by a separate algorithm `GeomLib::NormEstim()`, How new one is different?

msv

2022-02-16 15:00

developer   ~0106933

Normal computation is not always possible. It is not a trivial method and therefore it was implemented in a dedicated tool GeomLib, which is returning the status of calculation.
gp_Dir will throw exception if you try to create a null direction.
So, I propose to use GeomLib's method, or if it has a bug or a point to improve, then improve it instead of creating a new one.

Manycore

2022-02-18 07:07

developer   ~0106951

> @kgv , @msv tks, I not found the `GeomLib::NormEstim()` at first.

msv

2022-02-18 10:10

developer   ~0106955

https://git.dev.opencascade.org/gitweb/?p=occt.git;a=blob;f=src/GeomLib/GeomLib.cxx;h=e1646bc09838d86257b9b3b53302bc42f59a53fa;hb=HEAD
See this file, line 2377.
Probably you searched it in the documentation. I have found that this method is not documented in the header file. It is definitely is not correct and must be documented, may be in the scope of this ticket.

git

2022-03-02 08:58

administrator   ~0107130

Branch CR32837_1 has been created by kgv.

SHA-1: 14feb1061b6db90803a960dab6a78aa8cbc89923


Detailed log of new commits:

Author: kgv
Date: Wed Mar 2 08:58:10 2022 +0300

    0032837: Documentation, Geom_Surface - add references to GeomLib::NormEstim() for Normal computations
    
    References to GeomLib::NormEstim() have been put to Geom_Surface, Adaptor3d_Surface and BRepAdaptor_Surface.
    Improved documentation of GeomLib::NormEstim().

git

2022-03-02 10:29

administrator   ~0107132

Branch CR32837_1 has been updated forcibly by kgv.

SHA-1: f679181320701602f8f5d1f34b558400ed0ce0ab

git

2022-03-02 12:21

administrator   ~0107133

Branch CR32837_1 has been updated forcibly by kgv.

SHA-1: 3f6d0d50fce75b2c2434a38711d52f0b42dd2e9f

git

2022-03-02 12:31

administrator   ~0107134

Branch CR32837_1 has been updated forcibly by kgv.

SHA-1: fbf9279c0d3a74b12886c2a6b643526b39ab8bd2

kgv

2022-03-02 14:32

developer   ~0107136

Patch for documentation is ready for review
- OCCT: branch CR32837_1.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32837_1-master-KGV/

smoskvin

2022-03-06 10:09

administrator   ~0107208

Combination -
OCCT branch : IR-2022-03-05
master SHA - acce2c1448254a2e57cc940dc479a795dcc3f5f0
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-03-05 SHA - 811792d8c83c5e910e820c2e0f9efd0c3306cee3
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18394.330000000256 / 18467.180000000375 [-0.39%]
Products
Total CPU difference: 11708.150000000112 / 11716.630000000077 [-0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 20348.171875 / 20359.046875 [-0.05%]
Products
Total CPU difference: 13154.5625 / 13140.734375 [+0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-03-06 13:19

administrator   ~0107216

Branch CR32837 has been deleted by mnt.

SHA-1: c4ddbd15a00d9f95d4a82b2f4b3075cd6f5d3ec8

git

2022-03-06 13:19

administrator   ~0107217

Branch CR32837_1 has been deleted by mnt.

SHA-1: fbf9279c0d3a74b12886c2a6b643526b39ab8bd2

Related Changesets

occt: master a9e5f650

2022-03-02 08:58:10

kgv


Committer: smoskvin Details Diff
0032837: Documentation, Geom_Surface - add references to GeomLib::NormEstim() for Normal computations

References to GeomLib::NormEstim() have been put to Geom_Surface, Adaptor3d_Surface and BRepAdaptor_Surface.
Improved documentation of GeomLib::NormEstim().
Affected Issues
0032837
mod - src/Adaptor3d/Adaptor3d_Surface.hxx Diff File
mod - src/BRepAdaptor/BRepAdaptor_Surface.hxx Diff File
mod - src/Geom/Geom_Surface.hxx Diff File
mod - src/GeomLib/GeomLib.cxx Diff File
mod - src/GeomLib/GeomLib.hxx Diff File

Issue History

Date Modified Username Field Change
2022-02-16 12:12 Manycore New Issue
2022-02-16 12:12 Manycore Assigned To => Manycore
2022-02-16 12:52 git Note Added: 0106920
2022-02-16 13:17 Manycore Assigned To Manycore => msv
2022-02-16 13:17 Manycore Status new => resolved
2022-02-16 13:25 kgv Note Added: 0106924
2022-02-16 13:26 kgv Note Edited: 0106924
2022-02-16 13:26 kgv Note Edited: 0106924
2022-02-16 13:26 kgv Note Edited: 0106924
2022-02-16 15:00 msv Note Added: 0106933
2022-02-16 15:00 msv Assigned To msv => azv
2022-02-18 07:07 Manycore Note Added: 0106951
2022-02-18 10:10 msv Note Added: 0106955
2022-03-02 08:57 kgv Category OCCT:Modeling Data => OCCT:Documentation
2022-03-02 08:57 kgv Summary Modeling Data - Geom_Surface add Normal API => Documentation, Geom_Surface - add references to GeomLib::NormEstim() for Normal computations
2022-03-02 08:57 kgv Test case number => N/A
2022-03-02 08:58 git Note Added: 0107130
2022-03-02 10:29 git Note Added: 0107132
2022-03-02 12:21 git Note Added: 0107133
2022-03-02 12:31 git Note Added: 0107134
2022-03-02 14:32 kgv Note Added: 0107136
2022-03-02 17:45 msv Assigned To azv => bugmaster
2022-03-02 17:45 msv Status resolved => reviewed
2022-03-06 10:09 smoskvin Status reviewed => tested
2022-03-06 10:09 smoskvin Note Added: 0107208
2022-03-06 13:15 smoskvin Changeset attached => occt master a9e5f650
2022-03-06 13:15 kgv Assigned To bugmaster => kgv
2022-03-06 13:15 kgv Status tested => verified
2022-03-06 13:15 kgv Resolution open => fixed
2022-03-06 13:19 git Note Added: 0107216
2022-03-06 13:19 git Note Added: 0107217
2022-10-19 15:55 smoskvin Assigned To kgv => vpozdyayev